/**
 * Built-in message types used for generic event handling
 * @enum
 * @memberof module:max-api
 * @type {String}
 */
const MESSAGE_TYPES = {
	/** Generic Type for *all* kinds of messages */
	ALL: "all",
	/** Bang message type */
	BANG: "bang",
	/** Dictionary message type */
	DICT: "dict",
	/** Number message type */
	NUMBER: "number",
	/** List message type */
	LIST: "list"
};

/**
 * Post/Log Levels
 * @enum
 * @memberof module:max-api
 * @type {String}
 */
const POST_LEVELS = {
	/** error level messages */
	ERROR: "error",
	/** info level messages */
	INFO: "info",
	/** warn level messages */
	WARN: "warn"
};

module.exports = {
	MESSAGE_TYPES,
	POST_LEVELS
};
